server {
    index index.php index.html index.htm;
    listen 80;
    listen [::]:80;
    location / {
        try_files $uri $uri/ =404;
        add_header Access-Control-Allow-Origin https://matrix-web.send.nrw;
        add_header Access-Control-Allow-Headers "Origin, X-Requested-With, Content-Type, Accept, Authorization";
        add_header Access-Control-Allow-Credentials true;
    }
    location ~* \.(jpg|jpeg|png|gif|css|js|ico|woff|woff2|ttf|svg|eot|mp4|webm|ogg|mp3)$ {
        add_header Access-Control-Allow-Origin https://matrix-web.send.nrw;
        add_header Access-Control-Allow-Headers "Origin, X-Requested-With, Content-Type, Accept, Authorization";
        add_header Access-Control-Allow-Credentials true;
        access_log off;
        expires 30d;
    }
    location ~ \.php$ {
        fastcgi_pass 127.0.0.1:9000;
	    fastcgi_split_path_info ^(.+\.php)(/.+)$;
	    fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_param PHP_VALUE "error_log=/var/log/nginx/application_php_errors.log";
        fastcgi_buffers 16 128k;
        fastcgi_buffer_size 128k;
        fastcgi_read_timeout 300;
        add_header Access-Control-Allow-Origin https://matrix-web.send.nrw;
        add_header Access-Control-Allow-Headers "Origin, X-Requested-With, Content-Type, Accept, Authorization";
        add_header Access-Control-Allow-Credentials true;
        include fastcgi.conf;
    }
    root /usr/share/nginx/html;
    server_name localhost;
}
